# $Revision: 1.42 $, $Date: 2011/12/12 12:49:25 $
%define pkgname actionpack
Summary:	Object-Relational mapping library for Ruby
Summary(pl.UTF-8):	Biblioteka odwzorowań obiektowo-relacyjnych dla Ruby
Name:		ruby-%{pkgname}
Version:	2.3.14
Release:	3
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	37078d46204342eccf6827f266122b64
Patch0:		%{name}-nogems.patch
URL:		http://rubyforge.org/projects/actionpack/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-rack >= 1.1.0
Obsoletes:	ruby-ActionPack
Provides:	ruby-ActionPack
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Action Pack splits the response to a web request into a controller
part (performing the logic) and a view part (rendering a template).
This two-step approach is known as an action, which will normally
create, read, update, or delete (CRUD for short) some sort of model
part (often database) before choosing either to render a template or
redirecting to another action.

%description -l pl.UTF-8
Action Pack dzieli odpowiedź na żądanie WWW na część sterującą
(wykonującą logikę) i część widokową (przetwarzającą szablon). To
dwukrokowe podejście jest znane jako akcja, która zwykle tworzy,
czyta, uaktualnia lub usuwa (create, read, update, delete - CRUD)
jakiś rodzaj części modelu (zwykle bazy danych) przed wybraniem czy
przetwarzać szablon, czy przekierować do innej akcji.

%package rdoc
Summary:	Documentation files for ActionPack
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActionPack
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActionPack.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActionPack.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

%build
LC_ALL=en_US.UTF-8 rdoc --ri --op ri lib
LC_ALL=en_US.UTF-8 rdoc --op rdoc lib
rm ri/created.rid
rm -fr ri/{CGI,FalseClass,HTML,Mime,NilClass,Object,RackLintPatch,Regexp,TrueClass}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{ruby_rubylibdir}/action_controller
%{ruby_rubylibdir}/action_controller.rb
%{ruby_rubylibdir}/action_pack
%{ruby_rubylibdir}/action_pack.rb
%{ruby_rubylibdir}/actionpack.rb
%{ruby_rubylibdir}/action_view
%{ruby_rubylibdir}/action_view.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActionController
%{ruby_ridir}/ActionView

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-actionpack.spec,v $
Revision 1.42  2011/12/12 12:49:25  baggins
- rel 3

Revision 1.41  2011/12/12 12:47:18  baggins
- there is nothing in this dir

Revision 1.40  2011/12/12 12:42:16  baggins
- locale issues

Revision 1.39  2011/12/12 12:40:53  baggins
- some locale issues?

Revision 1.38  2011/12/12 12:35:01  baggins
- rel 2
- ri documentation depends on installed packages and is thus nondeterministic

Revision 1.37  2011/12/12 12:26:08  baggins
- 2.3.14

Revision 1.36  2011/07/08 09:49:50  baggins
- 2.3.11

Revision 1.35  2010/03/03 10:05:52  baggins
- rel 3
- package whole action_pack dir

Revision 1.34  2010/03/02 22:14:00  baggins
- rel 2
- fixed build

Revision 1.33  2010/03/02 22:05:02  baggins
- added ri package

Revision 1.32  2010/03/01 00:52:20  baggins
- we don't use gems and stuff

Revision 1.31  2010/02/28 16:30:11  baggins
- 2.3.5

Revision 1.30  2010/02/27 19:20:50  baggins
- P:ruby-ActionPack

Revision 1.29  2010/02/27 17:02:14  baggins
- renamed ruby-ActionPack -> ruby-actionpack

Revision 1.28  2009/01/06 07:10:15  glen
- unify ri stuff

Revision 1.27  2009/01/06 06:59:02  glen
- unify

Revision 1.26  2009/01/06 06:21:02  glen
- update to 2.0.5, add -rdoc

Revision 1.25  2007/03/08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.24  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.22  2006/10/24 18:32:28  aredridel
- 1.12.5

Revision 1.21  2006/03/08 00:49:53  aredridel
- up to 1.11.2

Revision 1.20  2005/12/31 10:36:33  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.19  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.18  2005/12/27 09:25:37  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.17  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.16  2005/10/25 16:06:45  aredridel
- up to 1.10.1

Revision 1.15  2005/07/11 14:44:56  aredridel
- up to 1.9.1

Revision 1.14  2005/07/09 20:36:37  aredridel
- up to 1.9.0

Revision 1.13  2005/04/21 01:30:45  aredridel
- up to 1.8.1

Revision 1.12  2005/04/03 20:32:41  aredridel
- up to 1.7.0

Revision 1.11  2005/03/20 07:29:58  aredridel
- up to 1.5.1

Revision 1.10  2005/01/22 06:11:02  aredridel
- up to 1.3.1

Revision 1.9  2004/09/14 06:48:58  aredridel
- up to 0.8.5

Revision 1.8  2004/08/26 16:19:34  havner
- rel 1

Revision 1.7  2004/08/26 01:13:59  aredridel
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

Revision 1.6  2004/08/23 21:33:06  qboosh
- pl desc

Revision 1.5  2004/08/20 23:38:19  aredridel
- really up to 0.8.0

Revision 1.4  2004/08/20 19:52:47  aredridel
- up to 0.8.0

Revision 1.3  2004/08/19 05:16:02  aredridel
- make ri not conflict with Ruby

Revision 1.2  2004/08/19 02:36:57  aredridel
- better URL

Revision 1.1  2004/08/19 01:59:55  aredridel
- added
